gtksourceview.SourceTagStyle
Prev | The GtkSourceView Class Reference | Next

## gtksourceview.SourceTagStyle

gtksourceview.SourceTagStyle — Tag Style object for gtksourceview.SourceView

## Synopsis

    class gtksourceview.SourceTagStyle(gobject.GBoxed):
        gtksourceview.SourceTagStyle()
        def copy()
        def free()

## Ancestry

    +-- gobject.GBoxed
      +-- gtksourceview.SourceTagStyle

## Description

## Constructor

        gtksourceview.SourceTagStyle()

Returns : | a new `gtksourceview.SourceTagStyle`.

Creates a new `gtksourceview.SourceTagStyle` object.

## Methods

### gtksourceview.SourceTagStyle.copy

        def copy()

Returns : | a `gtksourceview.SourceTagStyle`.

The `copy`() method makes a copy of the current style.

### gtksourceview.SourceTagStyle.free

        def free()

The `remove_source_tags`() method frees the resources allocated by the current style.

Prev | Up | Next
gtksourceview.SourceTagTable | Home | gtksourceview.SourcePrintJob